=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2008-08-12 21:13:01 +0000
+++ client/drizzledump.cc	2008-09-05 22:16:26 +0000
@@ -558,8 +558,6 @@
     }
     if (opt_set_charset)
       fprintf(sql_file,
-"\n/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;"
-"\n/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;"
 "\n/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;"
 "\n/*!40101 SET NAMES %s */;\n",default_charset);
 
@@ -601,8 +599,6 @@
     }
     if (opt_set_charset)
       fprintf(sql_file,
-"/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;\n"
-"/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;\n"
 "/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;\n");
     fprintf(sql_file,
             "/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;\n");
@@ -1590,8 +1586,6 @@
           }
 
           fprintf(sql_file,
-                  "SET @saved_cs_client     = @@character_set_client;\n"
-                  "SET character_set_client = utf8;\n"
                   "/*!50001 CREATE TABLE %s (\n",
                   result_table);
 
@@ -1612,10 +1606,7 @@
             fprintf(sql_file, ",\n  %s %s",
                     quote_name(row[0], name_buff, 0), row[1]);
           }
-          fprintf(sql_file,
-                  "\n) */;\n"
-                  "SET character_set_client = @saved_cs_client;\n");
-
+          fprintf(sql_file, "\n) */;\n"); 
           check_io(sql_file);
         }
 
@@ -1630,12 +1621,7 @@
 
       row= drizzle_fetch_row(result);
 
-      fprintf(sql_file,
-              "SET @saved_cs_client     = @@character_set_client;\n"
-              "SET character_set_client = utf8;\n"
-              "%s;\n"
-              "SET character_set_client = @saved_cs_client;\n",
-              row[1]);
+      fprintf(sql_file, "%s;\n", row[1]);
 
       check_io(sql_file);
       drizzle_free_result(result);

=== modified file 'drizzled/sql_show.cc'
--- drizzled/sql_show.cc	2008-09-04 18:16:51 +0000
+++ drizzled/sql_show.cc	2008-09-05 22:16:26 +0000
@@ -888,26 +888,6 @@
       packet->append(buff, (uint) (end - buff));
     }
 
-    
-    if (share->table_charset)
-    {
-      /*
-        IF   check_create_info
-        THEN add DEFAULT CHARSET only if it was used when creating the table
-      */
-      if (!create_info_arg ||
-          (create_info_arg->used_fields & HA_CREATE_USED_DEFAULT_CHARSET))
-      {
-        packet->append(STRING_WITH_LEN(" DEFAULT CHARSET="));
-        packet->append(share->table_charset->csname);
-        if (!(share->table_charset->state & MY_CS_PRIMARY))
-        {
-          packet->append(STRING_WITH_LEN(" COLLATE="));
-          packet->append(table->s->table_charset->name);
-        }
-      }
-    }
-
     if (share->min_rows)
     {
       char *end;

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2008-08-19 00:13:57 +0000
+++ drizzled/sql_yacc.yy	2008-09-05 22:16:26 +0000
@@ -360,10 +360,10 @@
 
 %pure_parser                                    /* We have threads */
 /*
-  Currently there are 100 shift/reduce conflicts.
+  Currently there are 94 shift/reduce conflicts.
   We should not introduce new conflicts any more.
 */
-%expect 95
+%expect 94
 
 /*
    Comments for TOKENS.
@@ -1422,7 +1422,6 @@
 
 create_database_option:
           default_collation {}
-        | default_charset {}
         ;
 
 opt_table_options:
@@ -1543,7 +1542,6 @@
             Lex->create_info.used_fields|= HA_CREATE_USED_ROW_FORMAT;
             Lex->alter_info.flags|= ALTER_ROW_FORMAT;
           }
-        | default_charset
         | default_collation
         | DATA_SYM DIRECTORY_SYM opt_equal TEXT_STRING_sys
           {
@@ -1573,24 +1571,6 @@
           }
         ;
 
-default_charset:
-          opt_default charset opt_equal charset_name_or_default
-          {
-            HA_CREATE_INFO *cinfo= &Lex->create_info;
-            if ((cinfo->used_fields & HA_CREATE_USED_DEFAULT_CHARSET) &&
-                 cinfo->default_table_charset && $4 &&
-                 !my_charset_same(cinfo->default_table_charset,$4))
-            {
-              my_error(ER_CONFLICTING_DECLARATIONS, MYF(0),
-                       "CHARACTER SET ", cinfo->default_table_charset->csname,
-                       "CHARACTER SET ", $4->csname);
-              DRIZZLE_YYABORT;
-            }
-            Lex->create_info.default_table_charset= $4;
-            Lex->create_info.used_fields|= HA_CREATE_USED_DEFAULT_CHARSET;
-          }
-        ;
-
 default_collation:
           opt_default COLLATE_SYM opt_equal collation_name_or_default
           {
@@ -3614,8 +3594,6 @@
 function_call_conflict:
           ASCII_SYM '(' expr ')'
           { $$= new (YYTHD->mem_root) Item_func_ascii($3); }
-        | CHARSET '(' expr ')'
-          { $$= new (YYTHD->mem_root) Item_func_charset($3); }
         | COALESCE '(' expr_list ')'
           { $$= new (YYTHD->mem_root) Item_func_coalesce(* $3); }
         | COLLATION_SYM '(' expr ')'

=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2008-09-03 02:52:06 +0000
+++ tests/Makefile.am	2008-09-05 22:16:26 +0000
@@ -139,16 +139,15 @@
 		$(top_srcdir)/tests/test-run.pl --fast --reorder --force \
         alter_table \
         bench_count_distinct \
-				bulk_replace \
-				comment_column2 \
-				comments \
-				consistent_snapshot \
+	bulk_replace \
+	comment_column2 \
+	comments \
+	consistent_snapshot \
         count_distinct \
         count_distinct2 \
         count_distinct3 \
-				create_select_tmp \
+	create_select_tmp \
         ctype_filename \
-				ctype_hebrew \
         delete \
         distinct \
         endspace \

=== modified file 'tests/r/alter_table.result'
--- tests/r/alter_table.result	2008-09-05 17:30:40 +0000
+++ tests/r/alter_table.result	2008-09-05 22:16:26 +0000
@@ -416,7 +416,7 @@
   `a` int NOT NULL,
   `b` int,
   UNIQUE KEY `b` (`b`)
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 ALTER TABLE t1 DROP PRIMARY KEY;
 ERROR 42000: Can't DROP 'PRIMARY'; check that column/key exists
 DROP TABLE t1;
@@ -587,13 +587,13 @@
 t1	CREATE TABLE `t1` (
   `a` int,
   KEY `i1` (`a`)
-) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=FIXED
+) ENGINE=InnoDB ROW_FORMAT=FIXED
 DROP INDEX i1 ON t1;
 SHOW CREATE TABLE t1;
 Table	Create Table
 t1	CREATE TABLE `t1` (
   `a` int
-) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=FIXED
+) ENGINE=InnoDB ROW_FORMAT=FIXED
 DROP TABLE t1;
 DROP TABLE IF EXISTS bug24219;
 DROP TABLE IF EXISTS bug24219_2;
@@ -804,8 +804,7 @@
 i	v
 4	3r4f
 drop table t1;
-create table t1 (t varchar(255) default null, key t (t(80)))
-engine=myisam default charset=latin1;
+create table t1 (t varchar(255) default null, key t (t(80))) engine=myisam;
 alter table t1 change t t text;
 drop table t1;
 CREATE TABLE t1 (s CHAR(8) BINARY);
@@ -915,12 +914,12 @@
 Table	Create Table
 tt+1	CREATE TEMPORARY TABLE `tt+1` (
   `c1` int
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 SHOW CREATE TABLE `tt+2`;
 Table	Create Table
 tt+2	CREATE TEMPORARY TABLE `tt+2` (
   `c1` int
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 DROP TABLE   `tt+1`, `tt+2`;
 CREATE TEMPORARY TABLE `#sql1` (c1 INT);
 CREATE TEMPORARY TABLE `@0023sql2` (c1 INT);
@@ -936,12 +935,12 @@
 Table	Create Table
 #sql2	CREATE TEMPORARY TABLE `#sql2` (
   `c1` int
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 SHOW CREATE TABLE `@0023sql1`;
 Table	Create Table
 @0023sql1	CREATE TEMPORARY TABLE `@0023sql1` (
   `c1` int
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 DROP TABLE `#sql2`, `@0023sql1`;
 DROP TABLE IF EXISTS t1;
 DROP TABLE IF EXISTS t2;

=== modified file 'tests/r/distinct.result'
--- tests/r/distinct.result	2008-07-30 02:09:36 +0000
+++ tests/r/distinct.result	2008-09-05 22:16:26 +0000
@@ -581,7 +581,7 @@
 y decimal(10,0) default NULL,
 PRIMARY KEY  (ID),
 KEY (y)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM;
 INSERT INTO t1 VALUES
 (1,'ba','-1'),
 (2,'ba','1150'),

=== modified file 'tests/r/heap_btree.result'
--- tests/r/heap_btree.result	2008-08-14 20:59:41 +0000
+++ tests/r/heap_btree.result	2008-09-05 22:16:26 +0000
@@ -298,7 +298,7 @@
 CREATE TABLE t1 (
 c1 ENUM('1', '2'),
 UNIQUE USING BTREE(c1)
-) ENGINE= MEMORY DEFAULT CHARSET= utf8;
+) ENGINE= MEMORY;
 INSERT INTO t1 VALUES('1'), ('2');
 DROP TABLE t1;
 CREATE TABLE t1 (a INT, KEY USING BTREE(a)) ENGINE=MEMORY;

=== modified file 'tests/r/information_schema.result'
--- tests/r/information_schema.result	2008-08-20 19:32:02 +0000
+++ tests/r/information_schema.result	2008-09-05 22:16:26 +0000
@@ -248,13 +248,12 @@
 column_type	group_concat(table_schema, '.', table_name)	num
 varchar(20)	information_schema.PLUGINS	1
 varchar(27)	information_schema.COLUMNS	1
-create table t1(f1 char(1) not null, f2 char(9) not null)
-default character set utf8;
+create table t1(f1 char(1) not null, f2 char(9) not null);
 select CHARACTER_MAXIMUM_LENGTH, CHARACTER_OCTET_LENGTH from
 information_schema.columns where table_schema='test' and table_name = 't1';
 CHARACTER_MAXIMUM_LENGTH	CHARACTER_OCTET_LENGTH
-1	4
-9	36
+1	1
+9	9
 drop table t1;
 set @a:= '.';
 create table t1(f1 char(5));

=== modified file 'tests/r/innodb-semi-consistent.result'
--- tests/r/innodb-semi-consistent.result	2008-06-25 05:29:13 +0000
+++ tests/r/innodb-semi-consistent.result	2008-09-05 22:16:26 +0000
@@ -1,6 +1,6 @@
 drop table if exists t1;
 set session transaction isolation level read committed;
-create table t1(a int not null) engine=innodb DEFAULT CHARSET=latin1;
+create table t1(a int not null) engine=innodb;
 insert into t1 values (1),(2),(3),(4),(5),(6),(7);
 set autocommit=0;
 select * from t1 where a=3 lock in share mode;

=== modified file 'tests/r/join_outer.result'
--- tests/r/join_outer.result	2008-08-20 15:38:22 +0000
+++ tests/r/join_outer.result	2008-09-05 22:16:26 +0000
@@ -794,14 +794,14 @@
 flag_name varchar(64) default NULL,
 flag_value text,
 UNIQUE KEY ts_id (ts_id,inst_id,flag_name)
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
+) ENGINE=MyISAM;
 CREATE TABLE t2 (
 ts_id bigint default NULL,
 inst_id tinyint default NULL,
 flag_name varchar(64) default NULL,
 flag_value text,
 UNIQUE KEY ts_id (ts_id,inst_id,flag_name)
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
+) ENGINE=MyISAM;
 INSERT INTO t1 VALUES
 (111056548820001, 0, 'flag1', NULL),
 (111056548820001, 0, 'flag2', NULL),

=== modified file 'tests/r/select.result'
--- tests/r/select.result	2008-08-21 03:34:39 +0000
+++ tests/r/select.result	2008-09-05 22:16:26 +0000
@@ -2603,7 +2603,7 @@
 K2C4 varchar(4) character set latin1 collate latin1_bin NOT NULL default '', 
 K4N4 varchar(4) character set latin1 collate latin1_bin NOT NULL default '0000', 
 F2I4 int NOT NULL default '0' 
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM;
 INSERT INTO t1 VALUES 
 ('W%RT', '0100',  1), 
 ('W-RT', '0100', 1), 
@@ -3284,7 +3284,7 @@
   `i` decimal(19,0) NOT NULL,
   `c` decimal(19,0) NOT NULL,
   `co` decimal(19,0) NOT NULL
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 drop table t1;
 select 
 if(1, cast(1111111111111111111 as unsigned), 1) i,

=== modified file 'tests/r/subselect.result'
--- tests/r/subselect.result	2008-09-05 17:30:40 +0000
+++ tests/r/subselect.result	2008-09-05 22:16:26 +0000
@@ -352,7 +352,7 @@
 `email` varchar(60) character set latin1 NOT NULL default '',
 PRIMARY KEY  (`pseudo`),
 UNIQUE KEY `email` (`email`)
-) ENGINE=MyISAM CHARSET=latin1 ROW_FORMAT=DYNAMIC;
+) ENGINE=MyISAM ROW_FORMAT=DYNAMIC;
 INSERT INTO t8 (pseudo,email) VALUES ('joce','test');
 INSERT INTO t8 (pseudo,email) VALUES ('joce1','test1');
 INSERT INTO t8 (pseudo,email) VALUES ('2joce1','2test1');
@@ -708,7 +708,7 @@
 drop table t1, t2, t3;
 SELECT * FROM (SELECT 1) b WHERE 1 IN (SELECT *);
 ERROR HY000: No tables used
-CREATE TABLE t2 (id int default NULL, KEY id (id)) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t2 (id int default NULL, KEY id (id)) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (1),(2);
 SELECT * FROM t2 WHERE id IN (SELECT 1);
 id
@@ -753,7 +753,7 @@
 id
 1
 2
-CREATE TABLE t1 (id int default NULL, KEY id (id)) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t1 (id int default NULL, KEY id (id)) ENGINE=MyISAM;
 INSERT INTO t1 values (1),(1);
 UPDATE t2 SET id=(SELECT * FROM t1);
 ERROR 21000: Subquery returns more than 1 row
@@ -984,7 +984,7 @@
 PRIMARY KEY  (`mot`,`pseudo`,`date`,`topic`),
 KEY `pseudo` (`pseudo`,`date`,`topic`),
 KEY `topic` (`topic`)
-) ENGINE=MyISAM CHARSET=latin1 ROW_FORMAT=DYNAMIC;
+) ENGINE=MyISAM ROW_FORMAT=DYNAMIC;
 CREATE TABLE `t2` (
 `mot` varchar(30) character set latin1 NOT NULL default '',
 `topic` bigint unsigned NOT NULL default '0',
@@ -993,13 +993,13 @@
 PRIMARY KEY  (`mot`,`pseudo`,`date`,`topic`),
 KEY `pseudo` (`pseudo`,`date`,`topic`),
 KEY `topic` (`topic`)
-) ENGINE=MyISAM CHARSET=latin1 ROW_FORMAT=DYNAMIC;
+) ENGINE=MyISAM ROW_FORMAT=DYNAMIC;
 CREATE TABLE `t3` (
 `numeropost` bigint unsigned NOT NULL auto_increment,
 `maxnumrep` int unsigned NOT NULL default '0',
 PRIMARY KEY  (`numeropost`),
 UNIQUE KEY `maxnumrep` (`maxnumrep`)
-) ENGINE=MyISAM CHARSET=latin1;
+) ENGINE=MyISAM;
 INSERT INTO t1 (mot, topic, pseudo) VALUES ('joce','1','joce'),('test','2','test');
 INSERT INTO t2 (mot, topic, pseudo) VALUES ('joce','1','joce'),('test','2','test');
 INSERT INTO t3 VALUES (1,1);
@@ -1026,7 +1026,7 @@
 t1	CREATE TABLE `t1` (
   `a` int NOT NULL,
   `(SELECT 1)` int NOT NULL
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 drop table t1;
 CREATE TABLE t1 SELECT * FROM (SELECT 1 as a,(SELECT a)) a;
 SHOW CREATE TABLE t1;
@@ -1034,7 +1034,7 @@
 t1	CREATE TABLE `t1` (
   `a` int NOT NULL,
   `(SELECT a)` int NOT NULL
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 drop table t1;
 CREATE TABLE t1 SELECT * FROM (SELECT 1 as a,(SELECT a+0)) a;
 SHOW CREATE TABLE t1;
@@ -1042,7 +1042,7 @@
 t1	CREATE TABLE `t1` (
   `a` int NOT NULL,
   `(SELECT a+0)` int NOT NULL
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 drop table t1;
 CREATE TABLE t1 SELECT (SELECT 1 as a UNION SELECT 1+1 limit 1,1) as a;
 select * from t1;
@@ -1052,7 +1052,7 @@
 Table	Create Table
 t1	CREATE TABLE `t1` (
   `a` bigint NOT NULL
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 drop table t1;
 create table t1 (a int);
 insert into t1 values (1), (2), (3);
@@ -1132,7 +1132,7 @@
 CREATE TABLE `t1` (
 `i` int NOT NULL default '0',
 PRIMARY KEY  (`i`)
-) ENGINE=MyISAM CHARSET=latin1;
+) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (1);
 UPDATE t1 SET i=i+(SELECT MAX(i) FROM (SELECT 1) t) WHERE i=(SELECT MAX(i));
 UPDATE t1 SET i=i+1 WHERE i=(SELECT MAX(i));
@@ -1144,12 +1144,12 @@
 drop table t1;
 CREATE TABLE t1 (
 id int default NULL
-) ENGINE=MyISAM CHARSET=latin1;
+) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (1),(1),(2),(2),(1),(3);
 CREATE TABLE t2 (
 id int default NULL,
 name varchar(15) default NULL
-) ENGINE=MyISAM CHARSET=latin1;
+) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (4,'vita'), (1,'vita'), (2,'vita'), (1,'vita');
 update t1, t2 set t2.name='lenka' where t2.id in (select id from t1);
 select * from t2;
@@ -1208,7 +1208,7 @@
 PRIMARY KEY  (`id`),
 UNIQUE KEY `email` (`email`),
 UNIQUE KEY `pseudo` (`pseudo`)
-) ENGINE=MyISAM CHARSET=latin1 PACK_KEYS=1 ROW_FORMAT=DYNAMIC;
+) ENGINE=MyISAM PACK_KEYS=1 ROW_FORMAT=DYNAMIC;
 INSERT INTO t1 (id,pseudo,email) VALUES (1,'test','test'),(2,'test1','test1');
 SELECT pseudo as a, pseudo as b FROM t1 GROUP BY (SELECT a) ORDER BY (SELECT id*1);
 a	b
@@ -1506,13 +1506,13 @@
 Warnings:
 Note	1003	select `test`.`t3`.`a` AS `a` from `test`.`t3` where <not>((`test`.`t3`.`a` <= <max>(select max(`test`.`t2`.`b`) AS `max(b)` from `test`.`t2` group by `test`.`t2`.`a`)))
 drop table t2, t3;
-CREATE TABLE `t1` ( `id` bigint NOT NULL auto_increment, `taskid` bigint NOT NULL default '0', `dbid` int NOT NULL default '0', `create_date` datetime NOT NULL default '0000-00-00 00:00:00', `last_update` datetime NOT NULL default '0000-00-00 00:00:00', PRIMARY KEY  (`id`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=3 ;
+CREATE TABLE `t1` ( `id` bigint NOT NULL auto_increment, `taskid` bigint NOT NULL default '0', `dbid` int NOT NULL default '0', `create_date` datetime NOT NULL default '0000-00-00 00:00:00', `last_update` datetime NOT NULL default '0000-00-00 00:00:00', PRIMARY KEY  (`id`)) ENGINE=MyISAM AUTO_INCREMENT=3 ;
 INSERT INTO `t1` (`id`, `taskid`, `dbid`, `create_date`,`last_update`) VALUES (1, 1, 15, '2003-09-29 10:31:36', '2003-09-29 10:31:36'), (2, 1, 21, now(), now());
-CREATE TABLE `t2` (`db_id` int NOT NULL auto_increment,`name` varchar(200) NOT NULL default '',`primary_uid` smallint NOT NULL default '0',`secondary_uid` smallint NOT NULL default '0',PRIMARY KEY  (`db_id`),UNIQUE KEY `name_2` (`name`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=2147483647;
+CREATE TABLE `t2` (`db_id` int NOT NULL auto_increment,`name` varchar(200) NOT NULL default '',`primary_uid` smallint NOT NULL default '0',`secondary_uid` smallint NOT NULL default '0',PRIMARY KEY  (`db_id`),UNIQUE KEY `name_2` (`name`)) ENGINE=MyISAM AUTO_INCREMENT=2147483647;
 INSERT INTO `t2` (`db_id`, `name`, `primary_uid`, `secondary_uid`) VALUES (18, 'Not Set 1', 0, 0),(19, 'Valid', 1, 2),(20, 'Valid 2', 1, 2),(21, 'Should Not Return', 1, 2),(26, 'Not Set 2', 0, 0),(-1, 'ALL DB\'S', 0, 0);
-CREATE TABLE `t3` (`taskgenid` bigint NOT NULL auto_increment,`dbid` int NOT NULL default '0',`taskid` int NOT NULL default '0',`mon` tinyint NOT NULL default '1',`tues` tinyint NOT NULL default '1',`wed` tinyint NOT NULL default '1',`thur` tinyint NOT NULL default '1',`fri` tinyint NOT NULL default '1',`sat` tinyint NOT NULL default '0',`sun` tinyint NOT NULL default '0',`how_often` smallint NOT NULL default '1',`userid` smallint NOT NULL default '0',`active` tinyint NOT NULL default '1',PRIMARY KEY  (`taskgenid`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=2 ;
+CREATE TABLE `t3` (`taskgenid` bigint NOT NULL auto_increment,`dbid` int NOT NULL default '0',`taskid` int NOT NULL default '0',`mon` tinyint NOT NULL default '1',`tues` tinyint NOT NULL default '1',`wed` tinyint NOT NULL default '1',`thur` tinyint NOT NULL default '1',`fri` tinyint NOT NULL default '1',`sat` tinyint NOT NULL default '0',`sun` tinyint NOT NULL default '0',`how_often` smallint NOT NULL default '1',`userid` smallint NOT NULL default '0',`active` tinyint NOT NULL default '1',PRIMARY KEY  (`taskgenid`)) ENGINE=MyISAM AUTO_INCREMENT=2 ;
 INSERT INTO `t3` (`taskgenid`, `dbid`, `taskid`, `mon`, `tues`,`wed`, `thur`, `fri`, `sat`, `sun`, `how_often`, `userid`, `active`) VALUES (1,-1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 0, 1);
-CREATE TABLE `t4` (`task_id` smallint NOT NULL default '0',`description` varchar(200) NOT NULL default '') ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE `t4` (`task_id` smallint NOT NULL default '0',`description` varchar(200) NOT NULL default '') ENGINE=MyISAM;
 INSERT INTO `t4` (`task_id`, `description`) VALUES (1, 'Daily Check List'),(2, 'Weekly Status');
 select  dbid, name, (date_format(now() , '%Y-%m-%d') - INTERVAL how_often DAY) >= ifnull((SELECT date_format(max(create_date),'%Y-%m-%d') FROM t1 WHERE dbid = b.db_id AND taskid = a.taskgenid), '1950-01-01') from t3 a, t2 b, t4  WHERE dbid = - 1 AND primary_uid = '1' AND t4.task_id = taskid;
 dbid	name	(date_format(now() , '%Y-%m-%d') - INTERVAL how_often DAY) >= ifnull((SELECT date_format(max(create_date),'%Y-%m-%d') FROM t1 WHERE dbid = b.db_id AND taskid = a.taskgenid), '1950-01-01')
@@ -1524,9 +1524,9 @@
 -1	Valid
 -1	Valid 2
 drop table t1,t2,t3,t4;
-CREATE TABLE t1 (id int default NULL) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t1 (id int default NULL) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (1),(5);
-CREATE TABLE t2 (id int default NULL) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t2 (id int default NULL) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (2),(6);
 select * from t1 where (1,2,6) in (select * from t2);
 ERROR 21000: Operand should contain 3 column(s)
@@ -1548,9 +1548,9 @@
 Warnings:
 Note	1003	select `test`.`t1`.`s1` AS `s1` from `test`.`t1` where 1
 drop table t1;
-CREATE TABLE t1 (number char(11) NOT NULL default '') ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t1 (number char(11) NOT NULL default '') ENGINE=MyISAM;
 INSERT INTO t1 VALUES ('69294728265'),('18621828126'),('89356874041'),('95895001874');
-CREATE TABLE t2 (code char(5) NOT NULL default '',UNIQUE KEY code (code)) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t2 (code char(5) NOT NULL default '',UNIQUE KEY code (code)) ENGINE=MyISAM;
 INSERT INTO t2 VALUES ('1'),('1226'),('1245'),('1862'),('18623'),('1874'),('1967'),('6');
 select c.number as phone,(select p.code from t2 p where c.number like concat(p.code, '%') order by length(p.code) desc limit 1) as code from t1 c;
 phone	code
@@ -2220,9 +2220,9 @@
 2	Rebecca	2	Spot
 3	NULL	3	Felix
 drop table t1,t2;
-CREATE TABLE `t1` ( `a` int default NULL) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+CREATE TABLE `t1` ( `a` int default NULL) ENGINE=MyISAM;
 insert into t1 values (1);
-CREATE TABLE `t2` ( `b` int default NULL, `a` int default NULL) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+CREATE TABLE `t2` ( `b` int default NULL, `a` int default NULL) ENGINE=MyISAM;
 insert into t2 values (1,2);
 select t000.a, count(*) `C` FROM t1 t000 GROUP BY t000.a HAVING count(*) > ALL (SELECT count(*) FROM t2 t001 WHERE t001.a=1);
 a	C
@@ -2533,7 +2533,7 @@
 `time` int unsigned NOT NULL default '0',
 `data` text collate latin1_general_ci NOT NULL,
 PRIMARY KEY  (`itemid`)
-) DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
+);
 INSERT INTO `t1` VALUES (1, 1, 1, '');
 CREATE TABLE `t2` (
 `sessionid` bigint unsigned NOT NULL auto_increment,
@@ -2541,7 +2541,7 @@
 `date` int unsigned NOT NULL default '0',
 `ip` varchar(15) collate latin1_general_ci NOT NULL default '',
 PRIMARY KEY  (`sessionid`)
-) DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
+);
 INSERT INTO `t2` VALUES (1, 1, 1, '10.10.10.1');
 SELECT s.ip, count( e.itemid ) FROM `t1` e JOIN t2 s ON s.sessionid = e.sessionid WHERE e.sessionid = ( SELECT sessionid FROM t2 ORDER BY sessionid DESC LIMIT 1 ) GROUP BY s.ip HAVING count( e.itemid ) >0 LIMIT 0 , 30;
 ip	count( e.itemid )
@@ -2813,13 +2813,13 @@
 Table	Create Table
 t2	CREATE TABLE `t2` (
   `sub_a` datetime
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 CREATE TABLE t3 AS (SELECT a FROM t1 WHERE a < '2000-01-01') UNION (SELECT a FROM t1 WHERE a > '2000-01-01');
 SHOW CREATE TABLE t3;
 Table	Create Table
 t3	CREATE TABLE `t3` (
   `a` datetime
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 DROP TABLE t1,t2,t3;
 CREATE TABLE t1 (a int);
 INSERT INTO t1 VALUES (2), (4), (1), (3);

=== modified file 'tests/r/subselect_innodb.result'
--- tests/r/subselect_innodb.result	2008-07-28 19:08:55 +0000
+++ tests/r/subselect_innodb.result	2008-09-05 22:16:26 +0000
@@ -69,7 +69,7 @@
 c char(3) default NULL,
 PRIMARY KEY  (id),
 KEY t2i1 (b)
-) ENGINE=innodb DEFAULT CHARSET=latin1;
+) ENGINE=innodb;
 INSERT INTO t1 VALUES (0,0,'GPL'),(1,0,'GPL'),(2,1,'GPL'),(3,2,'GPL');
 CREATE TABLE t2 (
 id int NOT NULL default '0',
@@ -77,7 +77,7 @@
 c char(3) default NULL,
 PRIMARY KEY  (id),
 KEY t2i (b)
-) ENGINE=innodb DEFAULT CHARSET=latin1;
+) ENGINE=innodb;
 INSERT INTO t2 VALUES (0,0,'GPL'),(1,0,'GPL'),(2,1,'GPL'),(3,2,'GPL');
 select (select max(id) from t2 where b=1 group by b) as x,b from t1 where b=1;
 x	b
@@ -106,8 +106,8 @@
 2	12
 4	105
 drop table t1, t2;
-CREATE TABLE `t1` ( `unit` varchar(50) NOT NULL default '', `ingredient` varchar(50) NOT NULL default '') ENGINE=InnoDB DEFAULT CHARSET=latin1;
-CREATE TABLE `t2` ( `ingredient` varchar(50) NOT NULL default '', `unit` varchar(50) NOT NULL default '', PRIMARY KEY (ingredient, unit)) ENGINE=InnoDB DEFAULT CHARSET=latin1;
+CREATE TABLE `t1` ( `unit` varchar(50) NOT NULL default '', `ingredient` varchar(50) NOT NULL default '') ENGINE=InnoDB;
+CREATE TABLE `t2` ( `ingredient` varchar(50) NOT NULL default '', `unit` varchar(50) NOT NULL default '', PRIMARY KEY (ingredient, unit)) ENGINE=InnoDB;
 INSERT INTO `t1` VALUES ('xx','yy');
 INSERT INTO `t2` VALUES ('yy','xx');
 SELECT R.unit, R.ingredient FROM t1 R WHERE R.ingredient IN (SELECT N.ingredient FROM t2 N WHERE N.unit = R.unit);
@@ -145,7 +145,7 @@
 country varchar(45) NOT NULL,    
 funds_requested float NOT NULL,
 schooltype varchar(45) NOT NULL
-) ENGINE=InnoDB DEFAULT CHARSET=utf8;
+) ENGINE=InnoDB;
 insert into t1 values ("the school", "USA", 1200, "Human");
 select count(country) as countrycount, sum(funds_requested) as smcnt,
 country, (select sum(funds_requested) from t1) as total_funds

=== modified file 'tests/r/type_newdecimal.result'
--- tests/r/type_newdecimal.result	2008-08-21 03:34:39 +0000
+++ tests/r/type_newdecimal.result	2008-09-05 22:16:26 +0000
@@ -59,7 +59,7 @@
   `if(0, NULL, 1.2)` decimal(2,1),
   `if(1, 0.22e1, 1.1)` double NOT NULL,
   `if(1E0, 1.1, 1.2)` decimal(2,1) NOT NULL
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 drop table t1;
 create table t1 select nullif(1.1, 1.1), nullif(1.1, 1.2), nullif(1.1, 0.11e1), nullif(1.0, 1), nullif(1, 1.0), nullif(1, 1.1);
 select * from t1;
@@ -74,7 +74,7 @@
   `nullif(1.0, 1)` decimal(2,1),
   `nullif(1, 1.0)` int,
   `nullif(1, 1.1)` int
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 drop table t1;
 create table t1 (a decimal(4,2));
 insert into t1 value (10000), (1.1e10), ("11111"), (100000.1);
@@ -130,7 +130,7 @@
   `truncate(-5678.123451,-3)` decimal(4,0) NOT NULL,
   `abs(-1.1)` decimal(3,1) NOT NULL,
   `-(-1.1)` decimal(2,1) NOT NULL
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 drop table t1;
 select 1e10/0e0;
 1e10/0e0
@@ -722,7 +722,7 @@
 Table	Create Table
 t1	CREATE TABLE `t1` (
   `0.5` decimal(2,1) NOT NULL
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 drop table t1;
 select round(1.5),round(2.5);
 round(1.5)	round(2.5)
@@ -880,14 +880,14 @@
 Table	Create Table
 t1	CREATE TABLE `t1` (
   `sl` decimal(5,5)
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 drop table t1;
 create table t1 (sl decimal(65, 30));
 show create table t1;
 Table	Create Table
 t1	CREATE TABLE `t1` (
   `sl` decimal(65,30)
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 drop table t1;
 create table t1 (
 f1 decimal unsigned not null default 17.49, 
@@ -920,7 +920,7 @@
 t1	CREATE TABLE `t1` (
   `f0` decimal(30,30) NOT NULL,
   `f1` decimal(10,0) NOT NULL
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 drop table t1;
 create table t (d decimal(0,10));
 ERROR 42000: For float(M,D), double(M,D) or decimal(M,D), M must be >= D (column 'd').
@@ -937,7 +937,7 @@
   `my_double` double,
   `my_varchar` varchar(50),
   `my_decimal` decimal(65,30)
-) ENGINE=InnoDB DEFAULT CHARSET=latin1
+) ENGINE=InnoDB
 INSERT INTO t1 SET my_float = 1.175494345e-32,
 my_double = 1.175494345e-32,
 my_varchar = '1.175494345e-32';

=== modified file 'tests/t/alter_table.test'
--- tests/t/alter_table.test	2008-09-05 17:30:40 +0000
+++ tests/t/alter_table.test	2008-09-05 22:16:26 +0000
@@ -613,8 +613,7 @@
 # without # prefix is not allowed for TEXT columns, while index
 # is defined with prefix.
 # 
-create table t1 (t varchar(255) default null, key t (t(80)))
-engine=myisam default charset=latin1;
+create table t1 (t varchar(255) default null, key t (t(80))) engine=myisam;
 alter table t1 change t t text;
 drop table t1;
 

=== removed file 'tests/t/ctype_hebrew.test'
--- tests/t/ctype_hebrew.test	2008-06-25 05:29:13 +0000
+++ tests/t/ctype_hebrew.test	1970-01-01 00:00:00 +0000
@@ -1,16 +0,0 @@
-#
-# BUG #24037: Lossy Hebrew to Unicode conversion
-#
-# Test if LRM and RLM characters are correctly converted to UTF-8
---disable_warnings
-DROP TABLE IF EXISTS t1;
---enable_warnings
-
-SET NAMES hebrew;
-CREATE TABLE t1 (a char(1)) DEFAULT CHARSET=hebrew;
-INSERT INTO t1 VALUES (0xFD),(0xFE);
-ALTER TABLE t1 CONVERT TO CHARACTER SET utf8;
-SELECT HEX(a) FROM t1;
-DROP TABLE t1;
-
---echo End of 4.1 tests

=== modified file 'tests/t/distinct.test'
--- tests/t/distinct.test	2008-08-12 21:13:01 +0000
+++ tests/t/distinct.test	2008-09-05 22:16:26 +0000
@@ -409,7 +409,7 @@
   y decimal(10,0) default NULL,
   PRIMARY KEY  (ID),
   KEY (y)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM;
 
 INSERT INTO t1 VALUES
 (1,'ba','-1'),

=== modified file 'tests/t/heap_btree.test'
--- tests/t/heap_btree.test	2008-08-14 20:59:41 +0000
+++ tests/t/heap_btree.test	2008-09-05 22:16:26 +0000
@@ -203,7 +203,7 @@
 CREATE TABLE t1 (
   c1 ENUM('1', '2'),
   UNIQUE USING BTREE(c1)
-) ENGINE= MEMORY DEFAULT CHARSET= utf8;
+) ENGINE= MEMORY;
 INSERT INTO t1 VALUES('1'), ('2');
 DROP TABLE t1;
 

=== modified file 'tests/t/information_schema.test'
--- tests/t/information_schema.test	2008-08-19 00:13:57 +0000
+++ tests/t/information_schema.test	2008-09-05 22:16:26 +0000
@@ -235,8 +235,7 @@
 #
 # Bug#19236 bad COLUMNS.CHARACTER_MAXIMUM_LENGHT and CHARACTER_OCTET_LENGTH
 #
-create table t1(f1 char(1) not null, f2 char(9) not null)
-default character set utf8;
+create table t1(f1 char(1) not null, f2 char(9) not null);
 select CHARACTER_MAXIMUM_LENGTH, CHARACTER_OCTET_LENGTH from
 information_schema.columns where table_schema='test' and table_name = 't1';
 drop table t1;

=== modified file 'tests/t/innodb-semi-consistent.test'
--- tests/t/innodb-semi-consistent.test	2008-06-30 06:46:40 +0000
+++ tests/t/innodb-semi-consistent.test	2008-09-05 22:16:26 +0000
@@ -10,7 +10,7 @@
 connect (b,localhost,root,,);
 connection a;
 set session transaction isolation level read committed;
-create table t1(a int not null) engine=innodb DEFAULT CHARSET=latin1;
+create table t1(a int not null) engine=innodb;
 insert into t1 values (1),(2),(3),(4),(5),(6),(7);
 set autocommit=0;
 # this should lock the entire table

=== modified file 'tests/t/join_outer.test'
--- tests/t/join_outer.test	2008-07-28 19:08:55 +0000
+++ tests/t/join_outer.test	2008-09-05 22:16:26 +0000
@@ -543,7 +543,7 @@
   flag_name varchar(64) default NULL,
   flag_value text,
   UNIQUE KEY ts_id (ts_id,inst_id,flag_name)
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
+) ENGINE=MyISAM;
 
 CREATE TABLE t2 (
   ts_id bigint default NULL,
@@ -551,7 +551,7 @@
   flag_name varchar(64) default NULL,
   flag_value text,
   UNIQUE KEY ts_id (ts_id,inst_id,flag_name)
-) ENGINE=MyISAM DEFAULT CHARSET=utf8;
+) ENGINE=MyISAM;
 
 INSERT INTO t1 VALUES
   (111056548820001, 0, 'flag1', NULL),

=== modified file 'tests/t/select.test'
--- tests/t/select.test	2008-08-20 15:38:22 +0000
+++ tests/t/select.test	2008-09-05 22:16:26 +0000
@@ -2335,7 +2335,7 @@
 K2C4 varchar(4) character set latin1 collate latin1_bin NOT NULL default '', 
 K4N4 varchar(4) character set latin1 collate latin1_bin NOT NULL default '0000', 
 F2I4 int NOT NULL default '0' 
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM;
 
 INSERT INTO t1 VALUES 
 ('W%RT', '0100',  1), 

=== modified file 'tests/t/subselect.test'
--- tests/t/subselect.test	2008-09-05 17:30:40 +0000
+++ tests/t/subselect.test	2008-09-05 22:16:26 +0000
@@ -149,7 +149,7 @@
   `email` varchar(60) character set latin1 NOT NULL default '',
   PRIMARY KEY  (`pseudo`),
   UNIQUE KEY `email` (`email`)
-) ENGINE=MyISAM CHARSET=latin1 ROW_FORMAT=DYNAMIC;
+) ENGINE=MyISAM ROW_FORMAT=DYNAMIC;
 
 INSERT INTO t8 (pseudo,email) VALUES ('joce','test');
 INSERT INTO t8 (pseudo,email) VALUES ('joce1','test1');
@@ -391,7 +391,7 @@
 -- error 1096
 SELECT * FROM (SELECT 1) b WHERE 1 IN (SELECT *);
 
-CREATE TABLE t2 (id int default NULL, KEY id (id)) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t2 (id int default NULL, KEY id (id)) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (1),(2);
 SELECT * FROM t2 WHERE id IN (SELECT 1);
 EXPLAIN EXTENDED SELECT * FROM t2 WHERE id IN (SELECT 1);
@@ -406,7 +406,7 @@
 -- error 1093
 INSERT INTO t2 VALUES ((SELECT id FROM t2));
 SELECT * FROM t2;
-CREATE TABLE t1 (id int default NULL, KEY id (id)) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t1 (id int default NULL, KEY id (id)) ENGINE=MyISAM;
 INSERT INTO t1 values (1),(1);
 -- error 1242
 UPDATE t2 SET id=(SELECT * FROM t1);
@@ -521,7 +521,7 @@
   PRIMARY KEY  (`mot`,`pseudo`,`date`,`topic`),
   KEY `pseudo` (`pseudo`,`date`,`topic`),
   KEY `topic` (`topic`)
-) ENGINE=MyISAM CHARSET=latin1 ROW_FORMAT=DYNAMIC;
+) ENGINE=MyISAM ROW_FORMAT=DYNAMIC;
 
 CREATE TABLE `t2` (
   `mot` varchar(30) character set latin1 NOT NULL default '',
@@ -531,14 +531,14 @@
   PRIMARY KEY  (`mot`,`pseudo`,`date`,`topic`),
   KEY `pseudo` (`pseudo`,`date`,`topic`),
   KEY `topic` (`topic`)
-) ENGINE=MyISAM CHARSET=latin1 ROW_FORMAT=DYNAMIC;
+) ENGINE=MyISAM ROW_FORMAT=DYNAMIC;
 
 CREATE TABLE `t3` (
   `numeropost` bigint unsigned NOT NULL auto_increment,
   `maxnumrep` int unsigned NOT NULL default '0',
   PRIMARY KEY  (`numeropost`),
   UNIQUE KEY `maxnumrep` (`maxnumrep`)
-) ENGINE=MyISAM CHARSET=latin1;
+) ENGINE=MyISAM;
 INSERT INTO t1 (mot, topic, pseudo) VALUES ('joce','1','joce'),('test','2','test');
 
 INSERT INTO t2 (mot, topic, pseudo) VALUES ('joce','1','joce'),('test','2','test');
@@ -644,7 +644,7 @@
 CREATE TABLE `t1` (
   `i` int NOT NULL default '0',
   PRIMARY KEY  (`i`)
-) ENGINE=MyISAM CHARSET=latin1;
+) ENGINE=MyISAM;
 
 INSERT INTO t1 VALUES (1);
 UPDATE t1 SET i=i+(SELECT MAX(i) FROM (SELECT 1) t) WHERE i=(SELECT MAX(i));
@@ -659,12 +659,12 @@
 #
 CREATE TABLE t1 (
   id int default NULL
-) ENGINE=MyISAM CHARSET=latin1;
+) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (1),(1),(2),(2),(1),(3);
 CREATE TABLE t2 (
   id int default NULL,
   name varchar(15) default NULL
-) ENGINE=MyISAM CHARSET=latin1;
+) ENGINE=MyISAM;
 
 INSERT INTO t2 VALUES (4,'vita'), (1,'vita'), (2,'vita'), (1,'vita');
 update t1, t2 set t2.name='lenka' where t2.id in (select id from t1);
@@ -726,7 +726,7 @@
   PRIMARY KEY  (`id`),
   UNIQUE KEY `email` (`email`),
   UNIQUE KEY `pseudo` (`pseudo`)
-) ENGINE=MyISAM CHARSET=latin1 PACK_KEYS=1 ROW_FORMAT=DYNAMIC;
+) ENGINE=MyISAM PACK_KEYS=1 ROW_FORMAT=DYNAMIC;
 INSERT INTO t1 (id,pseudo,email) VALUES (1,'test','test'),(2,'test1','test1');
 SELECT pseudo as a, pseudo as b FROM t1 GROUP BY (SELECT a) ORDER BY (SELECT id*1);
 drop table if exists t1;
@@ -899,13 +899,13 @@
 # correct used_tables()
 #
 
-CREATE TABLE `t1` ( `id` bigint NOT NULL auto_increment, `taskid` bigint NOT NULL default '0', `dbid` int NOT NULL default '0', `create_date` datetime NOT NULL default '0000-00-00 00:00:00', `last_update` datetime NOT NULL default '0000-00-00 00:00:00', PRIMARY KEY  (`id`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=3 ;
+CREATE TABLE `t1` ( `id` bigint NOT NULL auto_increment, `taskid` bigint NOT NULL default '0', `dbid` int NOT NULL default '0', `create_date` datetime NOT NULL default '0000-00-00 00:00:00', `last_update` datetime NOT NULL default '0000-00-00 00:00:00', PRIMARY KEY  (`id`)) ENGINE=MyISAM AUTO_INCREMENT=3 ;
 INSERT INTO `t1` (`id`, `taskid`, `dbid`, `create_date`,`last_update`) VALUES (1, 1, 15, '2003-09-29 10:31:36', '2003-09-29 10:31:36'), (2, 1, 21, now(), now());
-CREATE TABLE `t2` (`db_id` int NOT NULL auto_increment,`name` varchar(200) NOT NULL default '',`primary_uid` smallint NOT NULL default '0',`secondary_uid` smallint NOT NULL default '0',PRIMARY KEY  (`db_id`),UNIQUE KEY `name_2` (`name`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=2147483647;
+CREATE TABLE `t2` (`db_id` int NOT NULL auto_increment,`name` varchar(200) NOT NULL default '',`primary_uid` smallint NOT NULL default '0',`secondary_uid` smallint NOT NULL default '0',PRIMARY KEY  (`db_id`),UNIQUE KEY `name_2` (`name`)) ENGINE=MyISAM AUTO_INCREMENT=2147483647;
 INSERT INTO `t2` (`db_id`, `name`, `primary_uid`, `secondary_uid`) VALUES (18, 'Not Set 1', 0, 0),(19, 'Valid', 1, 2),(20, 'Valid 2', 1, 2),(21, 'Should Not Return', 1, 2),(26, 'Not Set 2', 0, 0),(-1, 'ALL DB\'S', 0, 0);
-CREATE TABLE `t3` (`taskgenid` bigint NOT NULL auto_increment,`dbid` int NOT NULL default '0',`taskid` int NOT NULL default '0',`mon` tinyint NOT NULL default '1',`tues` tinyint NOT NULL default '1',`wed` tinyint NOT NULL default '1',`thur` tinyint NOT NULL default '1',`fri` tinyint NOT NULL default '1',`sat` tinyint NOT NULL default '0',`sun` tinyint NOT NULL default '0',`how_often` smallint NOT NULL default '1',`userid` smallint NOT NULL default '0',`active` tinyint NOT NULL default '1',PRIMARY KEY  (`taskgenid`)) ENGINE=MyISAM CHARSET=latin1 AUTO_INCREMENT=2 ;
+CREATE TABLE `t3` (`taskgenid` bigint NOT NULL auto_increment,`dbid` int NOT NULL default '0',`taskid` int NOT NULL default '0',`mon` tinyint NOT NULL default '1',`tues` tinyint NOT NULL default '1',`wed` tinyint NOT NULL default '1',`thur` tinyint NOT NULL default '1',`fri` tinyint NOT NULL default '1',`sat` tinyint NOT NULL default '0',`sun` tinyint NOT NULL default '0',`how_often` smallint NOT NULL default '1',`userid` smallint NOT NULL default '0',`active` tinyint NOT NULL default '1',PRIMARY KEY  (`taskgenid`)) ENGINE=MyISAM AUTO_INCREMENT=2 ;
 INSERT INTO `t3` (`taskgenid`, `dbid`, `taskid`, `mon`, `tues`,`wed`, `thur`, `fri`, `sat`, `sun`, `how_often`, `userid`, `active`) VALUES (1,-1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 0, 1);
-CREATE TABLE `t4` (`task_id` smallint NOT NULL default '0',`description` varchar(200) NOT NULL default '') ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE `t4` (`task_id` smallint NOT NULL default '0',`description` varchar(200) NOT NULL default '') ENGINE=MyISAM;
 INSERT INTO `t4` (`task_id`, `description`) VALUES (1, 'Daily Check List'),(2, 'Weekly Status');
 select  dbid, name, (date_format(now() , '%Y-%m-%d') - INTERVAL how_often DAY) >= ifnull((SELECT date_format(max(create_date),'%Y-%m-%d') FROM t1 WHERE dbid = b.db_id AND taskid = a.taskgenid), '1950-01-01') from t3 a, t2 b, t4  WHERE dbid = - 1 AND primary_uid = '1' AND t4.task_id = taskid;
 SELECT dbid, name FROM t3 a, t2 b, t4 WHERE dbid = - 1 AND primary_uid = '1' AND ((date_format(now() , '%Y-%m-%d') - INTERVAL how_often DAY) >= ifnull((SELECT date_format(max(create_date),'%Y-%m-%d') FROM t1 WHERE dbid = b.db_id AND taskid = a.taskgenid), '1950-01-01')) AND t4.task_id = taskid;
@@ -914,9 +914,9 @@
 #
 # cardinality check
 #
-CREATE TABLE t1 (id int default NULL) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t1 (id int default NULL) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (1),(5);
-CREATE TABLE t2 (id int default NULL) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t2 (id int default NULL) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (2),(6);
 -- error 1241
 select * from t1 where (1,2,6) in (select * from t2);
@@ -935,9 +935,9 @@
 #
 # filesort in subquery (restoring join_tab)
 #
-CREATE TABLE t1 (number char(11) NOT NULL default '') ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t1 (number char(11) NOT NULL default '') ENGINE=MyISAM;
 INSERT INTO t1 VALUES ('69294728265'),('18621828126'),('89356874041'),('95895001874');
-CREATE TABLE t2 (code char(5) NOT NULL default '',UNIQUE KEY code (code)) ENGINE=MyISAM CHARSET=latin1;
+CREATE TABLE t2 (code char(5) NOT NULL default '',UNIQUE KEY code (code)) ENGINE=MyISAM;
 INSERT INTO t2 VALUES ('1'),('1226'),('1245'),('1862'),('18623'),('1874'),('1967'),('6');
 select c.number as phone,(select p.code from t2 p where c.number like concat(p.code, '%') order by length(p.code) desc limit 1) as code from t1 c;
 drop table t1, t2;
@@ -1277,9 +1277,9 @@
 #
 # Aggregate function comparation with ALL/ANY/SOME subselect
 #
-CREATE TABLE `t1` ( `a` int default NULL) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+CREATE TABLE `t1` ( `a` int default NULL) ENGINE=MyISAM;
 insert into t1 values (1);
-CREATE TABLE `t2` ( `b` int default NULL, `a` int default NULL) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+CREATE TABLE `t2` ( `b` int default NULL, `a` int default NULL) ENGINE=MyISAM;
 insert into t2 values (1,2);
 select t000.a, count(*) `C` FROM t1 t000 GROUP BY t000.a HAVING count(*) > ALL (SELECT count(*) FROM t2 t001 WHERE t001.a=1);
 drop table t1,t2;
@@ -1592,7 +1592,7 @@
   `time` int unsigned NOT NULL default '0',
   `data` text collate latin1_general_ci NOT NULL,
   PRIMARY KEY  (`itemid`)
-) DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
+);
 INSERT INTO `t1` VALUES (1, 1, 1, '');
 CREATE TABLE `t2` (
   `sessionid` bigint unsigned NOT NULL auto_increment,
@@ -1600,7 +1600,7 @@
   `date` int unsigned NOT NULL default '0',
   `ip` varchar(15) collate latin1_general_ci NOT NULL default '',
   PRIMARY KEY  (`sessionid`)
-) DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
+);
 INSERT INTO `t2` VALUES (1, 1, 1, '10.10.10.1');
 SELECT s.ip, count( e.itemid ) FROM `t1` e JOIN t2 s ON s.sessionid = e.sessionid WHERE e.sessionid = ( SELECT sessionid FROM t2 ORDER BY sessionid DESC LIMIT 1 ) GROUP BY s.ip HAVING count( e.itemid ) >0 LIMIT 0 , 30;
 drop tables t1,t2;

=== modified file 'tests/t/subselect_innodb.test'
--- tests/t/subselect_innodb.test	2008-07-28 19:08:55 +0000
+++ tests/t/subselect_innodb.test	2008-09-05 22:16:26 +0000
@@ -78,7 +78,7 @@
   c char(3) default NULL,
   PRIMARY KEY  (id),
   KEY t2i1 (b)
-) ENGINE=innodb DEFAULT CHARSET=latin1;
+) ENGINE=innodb;
 INSERT INTO t1 VALUES (0,0,'GPL'),(1,0,'GPL'),(2,1,'GPL'),(3,2,'GPL');
 CREATE TABLE t2 (
   id int NOT NULL default '0',
@@ -86,7 +86,7 @@
   c char(3) default NULL,
   PRIMARY KEY  (id),
   KEY t2i (b)
-) ENGINE=innodb DEFAULT CHARSET=latin1;
+) ENGINE=innodb;
 INSERT INTO t2 VALUES (0,0,'GPL'),(1,0,'GPL'),(2,1,'GPL'),(3,2,'GPL');
 select (select max(id) from t2 where b=1 group by b) as x,b from t1 where b=1;
 drop table t1,t2;
@@ -115,9 +115,9 @@
 #
 # bug #5220 test suite
 #
-CREATE TABLE `t1` ( `unit` varchar(50) NOT NULL default '', `ingredient` varchar(50) NOT NULL default '') ENGINE=InnoDB DEFAULT CHARSET=latin1;
+CREATE TABLE `t1` ( `unit` varchar(50) NOT NULL default '', `ingredient` varchar(50) NOT NULL default '') ENGINE=InnoDB;
 
-CREATE TABLE `t2` ( `ingredient` varchar(50) NOT NULL default '', `unit` varchar(50) NOT NULL default '', PRIMARY KEY (ingredient, unit)) ENGINE=InnoDB DEFAULT CHARSET=latin1;
+CREATE TABLE `t2` ( `ingredient` varchar(50) NOT NULL default '', `unit` varchar(50) NOT NULL default '', PRIMARY KEY (ingredient, unit)) ENGINE=InnoDB;
 
 INSERT INTO `t1` VALUES ('xx','yy');
 INSERT INTO `t2` VALUES ('yy','xx');
@@ -153,7 +153,7 @@
   country varchar(45) NOT NULL,    
   funds_requested float NOT NULL,
   schooltype varchar(45) NOT NULL
-) ENGINE=InnoDB DEFAULT CHARSET=utf8;
+) ENGINE=InnoDB;
 
 insert into t1 values ("the school", "USA", 1200, "Human");
 

